-------------------------------------------
-- English localization for Destinations --
-------------------------------------------


do
	local Add = ZO_CreateStringId

	--Map Filter Tags
	Add("DEST_FILTER_UNKNOWN",							"(Dest) Unknown POIs")
	Add("DEST_FILTER_KNOWN",							"(Dest) Known POIs")
	Add("DEST_FILTER_OTHER",							"(Dest) Other Achievements")
	Add("DEST_FILTER_MAIQ",								"(Dest) M'aiq Pins")
	Add("DEST_FILTER_PEACEMAKER",						"(Dest) Peacemaker Pins")
	Add("DEST_FILTER_NOSEDIVER",						"(Dest) Nose Diver Pin")
	Add("DEST_FILTER_EARTHLYPOS",						"(Dest) Earthly Possessions Pin")
	Add("DEST_FILTER_ON_ME",							"(Dest) This One's on Me Pins")
	Add("DEST_FILTER_COLLECTIBLE",						"(Dest) Collectibles Pins")
	Add("DEST_FILTER_FISHING",							"(Dest) Fishing Pins")
	Add("DEST_FILTER_QUESTGIVER",						"(Dest) Quest Giver Pins")
	Add("DEST_FILTER_AYLEID",							"(Dest) Ayleid Wells")
	Add("DEST_FILTER_WWVAMP",							"(Dest) Werewolfs and Vampires")
	Add("DEST_FILTER_VAMPIRE_ALTAR",					"(Dest) Vampire Alters")
	Add("DEST_FILTER_WEREWOLF_SHRINE",					"(Dest) Werewolf Shrines")
	Add("DEST_FILTER_DWEMER",							"(Dest) Dwemer Ruins")
	Add("DEST_FILTER_BORDER",							"(Dest) Craglorn Border Line")

	--Settings Menu
	Add("DEST_SETTINGS_TITLE",							"Destinations")

	Add("DEST_SETTINGS_POI_HEADER",						"Points of Interest")
	Add("DEST_SETTINGS_CHECK_UNKNOWN",					"Show unknown POIs")
	Add("DEST_SETTINGS_UNKNOWN_COMPASS_CHECK",			"Show unknown POIs on compass")
	Add("DEST_SETTINGS_UNKNOWN_COMPASS_DIST",			"Pin distance for unknown POIs on compass")
	Add("DEST_SETTINGS_SELECT_PIN_UNKNOWN",				"Map pins for unknown POIs")
	Add("DEST_SETTINGS_SLIDER_PINSIZE_UNKNOWN",			"Pin size for unknown POIs")
	Add("DEST_SETTINGS_SLIDER_PINLAYER_UNKNOWN",		"Pin layer for unknown POIs")

	Add("DEST_SETTINGS_CHECK_KNOWN",					"Show already known POIs")
	Add("DEST_SETTINGS_SELECT_PIN_KNOWN",				"Map pins for known POIs")
	Add("DEST_SETTINGS_SLIDER_PINSIZE_KNOWN",			"Pin size for known POIs")
	Add("DEST_SETTINGS_SLIDER_PINLAYER_KNOWN",			"Pin layer for known POIs")

	Add("DEST_SETTINGS_ADD_ENGLISH",					"*not applicable on english clients")

	Add("ACH_SETTINGS_HEADER",							"Achievement Positions")
	Add("ACH_SETTINGS_CHECK_OTHER",						"Show Other Achievement Pins")
	Add("ACH_SETTINGS_CHECK_OTHER_TOOLTIP",				"This is for the achievements Lightbringer/Give to the Poor/Crime Pays")
	Add("ACH_SETTINGS_CHECK_MAIQ",						"Show M'aiq Pins")
	Add("ACH_SETTINGS_CHECK_PEACEMAKER",				"Show Peacemaker Pin")
	Add("ACH_SETTINGS_CHECK_NOSEDIVER",					"Show Nose Diver Pin")
	Add("ACH_SETTINGS_CHECK_EARTHLYPOS",				"Show Earthly Possessions Pin")
	Add("ACH_SETTINGS_CHECK_ON_ME",						"Show This One's on Me Pins")
	Add("ACH_SETTINGS_SLIDER_PINSIZE",					"Pin size for all Achievements")
	Add("ACH_SETTINGS_SLIDER_PINLAYER",					"Pin layer for all Achievements")
	Add("ACH_SETTINGS_SHOW_COMPLETE_CHECK",				"Show completed Achievements")
	Add("ACH_SETTINGS_COMPASS_CHECK",					"Show Achievements on compass")
	Add("ACH_SETTINGS_COMPASS_DIST",					"Pin distance on compass")
	Add("ACH_SETTINGS_VERIFIED_CHECK",					"Show if confirmed/unconfirmed")
	Add("ACH_SETTINGS_VERIFIED_CHECK_TT",				"Adds a line of text that says 'Confirmed' or 'Unconfirmed' on the achievement pins, to tell if a pin position has been confirmed to be accurate")

	Add("MISC_SETTINGS_HEADER",							"Miscellaneous POI Positions")
	Add("MISC_SETTINGS_COMPASS_CHECK",					"Show miscellaneous POIs on compass")
	Add("MISC_SETTINGS_COMPASS_DIST",					"Pin distance for misc POIs on compass")
	Add("MISC_SETTINGS_CHECK_PIN_AYLEID_WELL",			"Show Ayleid Wells")
	Add("MISC_SETTINGS_CHECK_PIN_WWVAMP",				"Show werewolfs/vampires*")
	Add("MISC_SETTINGS_CHECK_PIN_WWVAMP_TOOLTIP",		"Includes map pins for Vampire Alters and Werewolf Shrines")
	Add("MISC_SETTINGS_SLIDER_PINSIZE",					"Pin size for all miscellaneous POIs")
	Add("MISC_SETTINGS_SLIDER_PINLAYER",				"Pin layer for all miscellaneous POIs")
	Add("MISC_SETTINGS_BORDER_CHECK",					"Show Craglorn Border Line")
	Add("MISC_SETTINGS_BORDER_CHECK_TOOLTIP",			"Shows the border line dividing Upper and Lower Craglorn")

	Add("DWEMER_SETTINGS_HEADER",						"Dwemer Ruin Positions")
	Add("DWEMER_SETTINGS_CHECK",						"Show Dwemer Ruins pins")
	Add("DWEMER_SETTINGS_COMPASS_CHECK",				"Show Dwemer Ruins on compass")
	Add("DWEMER_SETTINGS_COMPASS_DIST",					"Pin distance for Dwemer Ruins")
	Add("DWEMER_SETTINGS_SLIDER_PINSIZE",				"Pin size for Dwemer Ruins")

	Add("QUEST_SETTINGS_HEADER",						"Quest Giver Positions")
	Add("QUEST_SETTINGS_CHECK",							"Show Quest Giver positions")
	Add("QUEST_SETTINGS_COMPASS_CHECK",					"Show Quest Givers on compass")
	Add("QUEST_SETTINGS_COMPASS_DIST",					"Distance for Quest Givers on compass")
	Add("QUEST_SETTINGS_SLIDER_PINSIZE",				"Pin size for all Quest Givers")
	Add("QUEST_SETTINGS_SLIDER_PINLAYER",				"Pin layer for all Quest Givers")
	Add("REGISTER_QUESTS_CHECK",						"Register Quests")
	Add("REGISTER_QUESTS_CHECK_TOOLTIP",				"Saves quest info to variables for reporting. Please see the Destinations page on ESOUI.com for more info.")
	Add("QUESTS_DONE_CHECK",							"Show completed Quest positions")

	Add("COLLECTIBLES_FISHING_SETTINGS_HEADER",			"Collectibles and Fishing Positions")
	Add("COLLECTIBLES_SETTINGS_CHECK",					"Show Collectibles positions")
	Add("COLLECTIBLES_SETTINGS_CHECK_TT",				"Shows areas where beasts can be killed to collect collectibles for achievements")
	Add("COLLECTIBLES_SHOW_MOBNAME",					"Show mob names on pins")
	Add("COLLECTIBLES_SHOW_MOBNAME_TT",					"Shows the names of the monsters (in english at the moment) that can drop the items needed to complete the achievement")
	Add("COLLECTIBLES_SHOW_ITEM",						"Show item names on pins")
	Add("COLLECTIBLES_SHOW_ITEM_TT",					"Shows the name of the items needed to complete the achievement")
	Add("FISHING_SETTINGS_CHECK",						"Show Fish positions")
	Add("FISHING_SETTINGS_CHECK_TT",					"Shows Fishing holes where there is a chance of catching fish for achievements")
	Add("FISHING_SETTINGS_SHOW_FISHNAME",				"Show fish names on pins")
	Add("FISHING_SETTINGS_SHOW_FISHNAME_TT",			"Shows the missing fish for that type of water")
	Add("FISHING_SETTINGS_SHOW_BAIT",					"Show optimal bait on pins")
	Add("FISHING_SETTINGS_SHOW_BAIT_TT",				"Shows the optimal bait to use")
	Add("FISHING_SETTINGS_SHOW_WATER",					"Show water type on pins")
	Add("FISHING_SETTINGS_SHOW_WATER_TT",				"Shows the type of water")
	Add("COLLECTIBLES_FISHING_SETTINGS_SLIDER_PINSIZE",	"Pin size for C&F")
	Add("COLLECTIBLES_FISHING_SET_SLIDER_PINSIZE_TT",	"Pin size for Collectibles and Fishing")
	Add("COLLECTIBLES_FISHING_SETTINGS_SLIDER_PINLAYER","Pin layer for C&F")
	Add("COLLECTIBLES_FISHING_SET_SLIDER_PINLAYER_TT",	"Pin layer for Collectibles and Fishing")
	Add("COLLECTIBLES_FISHING_SETTINGS_COMPASS_CHECK",	"Show C&F on compass")
	Add("COLLECTIBLES_FISHING_SET_COMPASS_CHECK_TT",	"Show Collectibles areas and Fishing Holes on compass")
	Add("COLLECTIBLES_FISHING_SETTINGS_COMPASS_DIST",	"Distance for C&F on compass")
	Add("COLLECTIBLES_FISHING_SET_COMPASS_DIST_TT",		"Distance for Collectibles areas and Fishing Holes on compass")
	Add("COLLECTIBLES_FISHING_DONE_CHECK",				"Show completed C&F positions")
	Add("COLLECTIBLES_FISHING_DONE_CHECK_TT",			"Show completed Collectibles areas and Fishing Holes positions")
	Add("REGISTER_COLLECTIBLES_FISHING_CHECK",			"Register C&F positions")
	Add("REGISTER_COLLECTIBLES_FISHING_CHECK_TT",		"Saves Collectibles areas and Fishing Hole positions to variables for reporting. Please see the Destinations page on ESOUI.com for more info.")

	Add("GLOBAL_SETTINGS_SELECT_TEXT_ONLY",				"Text only!")

	Add("PINTEXT_COLOR_SETTINGS_HEADER",				"Pin text colors")
	Add("PINTEXT_COLOR_SETTINGS_HEADER_POI",			"Points Of Interest Pin text colors")
	Add("PINTEXT_COLOR_SETTINGS_UNKNOWN",				"Unknown POI Pin text color")
	Add("PINTEXT_COLOR_SETTINGS_UNKNOWN_TT",			"Affects all unknown Points of Interest")
	Add("PINTEXT_COLOR_SETTINGS_UNKNOWN_EN",			"Unknown POI Pin color (english)")
	Add("PINTEXT_COLOR_SETTINGS_UNKNOWN_EN_TT",			"Affects the english text for all unknown Points of Interest, if activated")
	Add("PINTEXT_COLOR_SETTINGS_KNOWN",					"Known POI Pin text color")
	Add("PINTEXT_COLOR_SETTINGS_KNOWN_TT",				"Affects all known Points of Interest")
	Add("PINTEXT_COLOR_SETTINGS_KNOWN_EN",				"Known POI Pin text color (english)")
	Add("PINTEXT_COLOR_SETTINGS_KNOWN_EN_TT",			"Affects the english text for all known Points of Interest, if activated")
	Add("PINTEXT_COLOR_SETTINGS_HEADER_ACH",			"Achievement Positions Pin text colors")
	Add("PINTEXT_COLOR_SETTINGS_ACH_DONE",				"Pin text color (completed)")
	Add("PINTEXT_COLOR_SETTINGS_ACH_DONE_TT",			"Affects COMPLETED Achievements")
	Add("PINTEXT_COLOR_SETTINGS_ACH_MISS",				"Pin text color (incomplete)")
	Add("PINTEXT_COLOR_SETTINGS_ACH_MISS_TT",			"Affects INCOMPLETE Achievements")
	Add("PINTEXT_COLOR_SETTINGS_ACH_V",					"Pin text color (confirmed)")
	Add("PINTEXT_COLOR_SETTINGS_ACH_V_TT",				"Affects 'Confirmed' text on Achievements, if activated")
	Add("PINTEXT_COLOR_SETTINGS_ACH_NV",				"Pin text color (unconfirmed)")
	Add("PINTEXT_COLOR_SETTINGS_ACH_NV_TT",				"Affects 'Unconfirmed' text on Achievements, if activated")
	Add("PINTEXT_COLOR_SETTINGS_HEADER_OTHERS",			"Misc/Dwemer POI Positions Pin text colors")
	Add("PINTEXT_COLOR_SETTINGS_MISC",					"Misc POI Positions Pin text color")
	Add("PINTEXT_COLOR_SETTINGS_MISC_TT",				"Affects Ayleid Well, Werewolf, Vampire and Altar/Shrine texts")
	Add("PINTEXT_COLOR_SETTINGS_DWEMER",				"Dwemer Ruin Pin text color")
	Add("PINTEXT_COLOR_SETTINGS_DWEMER_TT",				"Affects Dwemer Ruin texts")
	Add("PINTEXT_COLOR_SETTINGS_GTRADER",				"Guild Trader Pin text color")
	Add("PINTEXT_COLOR_SETTINGS_GTRADER_TT",			"Affects 'Guild Trader' text on wayshrines")
	Add("PINTEXT_COLOR_SETTINGS_HEADER_QUEST",			"Quest Giver Positions Pin text colors")
	Add("PINTEXT_COLOR_SETTINGS_QUESTGIVER",			"Quest Giver Pin text color")
	Add("PINTEXT_COLOR_SETTINGS_QUESTGIVER_TT",			"Affects Quest giver texts")
	Add("PINTEXT_COLOR_SETTINGS_QUESTDONE",				"Completed Quest Pin text color")
	Add("PINTEXT_COLOR_SETTINGS_QUESTDONE_TT",			"Affects completed Quest texts")
	Add("PINTEXT_COLOR_SETTINGS_HEADER_TnF",			"Collectibles and Fishing Pos Pin text colors")
	Add("PINTEXT_COLOR_SETTINGS_TnF",					"Missing C&F Pin text color")
	Add("PINTEXT_COLOR_SETTINGS_TnF_TT",				"Affects missing Collectibles and Fishing texts")
	Add("PINTEXT_COLOR_SETTINGS_TnF_MISS",				"Missing C&F Name Pin text color")
	Add("PINTEXT_COLOR_SETTINGS_TnF_MISS_TT",			"Affects missing Collectible Items and Fish Name texts")
	Add("PINTEXT_COLOR_SETTINGS_TnF_DONE",				"Completed C&F Pin text color")
	Add("PINTEXT_COLOR_SETTINGS_TnF_DONE_TT",			"Affects completed Collectibles and Fishing texts")

	Add("DEST_SETTINGS_RESET",							"Reset to default settings")

	--Pin markers
	Add("DEST_VERIFIED_PIN",							"Confirmed")
	Add("DEST_NONVERIFIED_PIN",							"Unconfirmed")

	--POI Types
	Add("POITYPE_WAYSHRINE",							"Wayshrine")
	Add("POITYPE_AOI",									"Area of Interest")
	Add("POITYPE_PUBLICDUNGEON",						"Public Dungeon")
	Add("POITYPE_MUNDUS",								"Mundus Stone")
	Add("POITYPE_DOLMEN",								"Dolmen")
	Add("POITYPE_GROUPBOSS",							"Group Boss")
	Add("POITYPE_GROUPDUNGEON",							"Group Dungeon")
	Add("POITYPE_QUESTHUB",								"Quest Hub")
	Add("POITYPE_CRAFTING",								"Crafting Location")
	Add("POITYPE_SOLODUNGEON",							"Solo Dungeon")
	Add("POITYPE_GROUPEVENT",							"Group Event")
	Add("POITYPE_GROUPDELVE",							"Group Delve")
	Add("POITYPE_TRIALINSTANCE",						"Trial Instance")
	Add("POITYPE_UNKNOWN",								"Unknown")
	Add("POITYPE_MAIQ",									"I like M'aiq")
	Add("POITYPE_LB_GTTP_CP",							"Lightbringer/Give to the Poor/Crime Pays")
	Add("POITYPE_CRIME_PAYS",							"Crime Pays")
	Add("POITYPE_GIVE_TO_THE_POOR",						"Give to the Poor")
	Add("POITYPE_LIGHTBRINGER",							"Lightbringer")
	Add("POITYPE_PEACEMAKER",							"Peacemaker")
	Add("POITYPE_NOSEDIVER",							"Nose Diver")
	Add("POITYPE_EARTHLYPOS",							"Earthly Possessions")
	Add("POITYPE_ON_ME",								"This One's on Me")
	Add("POITYPE_COLLECTIBLE",							"Collectibles")
	Add("POITYPE_FISH",									"Fishing")
	Add("POITYPE_AYLEID_WELL",							"Ayleid Well")
	Add("POITYPE_WWVAMP",								"Werewolf/Vampire")
	Add("POITYPE_VAMPIRE_ALTAR",						"Vampire Altar")
	Add("POITYPE_WEREWOLF_SHRINE",						"Werewolf Shrine")
	Add("POITYPE_DWEMER_RUIN",							"Dwemer Ruin")
	Add("POITYPE_UNDETERMINED",							"Undetermined")
	Add("POITYPE_GUILDTRADERS",							"Guild Trader")
	Add("POITYPE_QUESTGIVERS",							"Quest Giver")

	-- Quest completion editing texts
	Add("QUEST_EDIT_ON",								"Destinations Quest Giver editing is turned ON!")
	Add("QUEST_EDIT_OFF",								"Destinations Quest Giver editing is turned OFF!")
	Add("QUEST_EDIT_SET_UNDONE",						"has been marked as NOT done!")
	Add("QUEST_EDIT_SET_IN_PROGRESS",					"has been marked as in progress!")
	Add("QUEST_EDIT_SET_DONE",							"has been marked as done!")

	-- Quest types
	Add("QUESTTYPE_NONE",								"Quest")
	Add("QUESTTYPE_GROUP",								"Group Quest")
	Add("QUESTTYPE_MAIN_STORY",							"Main Storyline Quest")
	Add("QUESTTYPE_GUILD",								"Guild Quest")
	Add("QUESTTYPE_CRAFTING",							"Crafting Quest")
	Add("QUESTTYPE_DUNGEON",							"Dungeon Quest")
	Add("QUESTTYPE_RAID",								"Raid Quest")
	Add("QUESTTYPE_AVA",								"Alliance War Quest")
	Add("QUESTTYPE_CLASS",								"Class Quest")
	Add("QUESTTYPE_QA_TEST",							"Q&A Test Quest")
	Add("QUESTTYPE_AVA_GROUP",							"Alliance War Group Quest")
	Add("QUESTTYPE_AVA_GRAND",							"Alliance War Grand Quest")
	Add("QUESTREPEAT_NOT_REPEATABLE",					"Normal Quest")
	Add("QUESTREPEAT_REPEATABLE",						"Repeatable Quest")
	Add("QUESTREPEAT_DAILY",							"Daily Quest")

	-- Collectibles and Fishing
	Add("COLLECTIBLEFISH_COMPLETED",					"Completed:")
	Add("COLLECTIBLEFISH_MISSING",						"Missing:")
	Add("FISHING_FOUL",									"Foul Water")
	Add("FISHING_RIVER",								"River")
	Add("FISHING_OCEAN",								"Ocean")
	Add("FISHING_LAKE",									"Lake")
	Add("FISHING_UNKNOWN",								"- unknown -")
	Add("FISHING_FOUL_BAIT",							"Crawlers/Fish Roe")
	Add("FISHING_RIVER_BAIT",							"Insect Parts/Shad")
	Add("FISHING_OCEAN_BAIT",							"Worms/Chub")
	Add("FISHING_LAKE_BAIT",							"Guts/Minnow")

	-- Destinations chat commands
	Add("DESTCOMMANDS",									"Destinations commands list:")
	Add("DESTCOMMANDdhlp",								"/dhlp (Destinations Help) : You just used it ;)")
	Add("DESTCOMMANDdset",								"/dset (Destinations Settings) : Opens the Destinations Settings window.")
	Add("DESTCOMMANDdqed",								"/dqed (Destinations Quests Editor) : This command will TOGGLE editing of quest pins. It will show in the chat if it's on or off. When ON, open your map and click the pins you want to toggle as done or undone. Remember to turn it OFF when done editing by repeating the command!")
	Add("DESTCOMMANDdqfz",								"/dqfz (Destinations Quests Finish Zone) : This command will set all quests in the zone your map is showing at the time of using the command as DONE.")
	Add("DESTCOMMANDdqrz",								"/dqrz (Destinations Quests Reset Zone) : This command will set all quests in the zone your map is showing at the time of using the command as NOT done.")

	-- Destinations Instructions
	Add("INSTRUCTIONS_TEXT_HEADER",						"Instructions")
	Add("INSTRUCTIONS_PART_1",							"These instructions are mainly to help with commands. If you feel more instructions are needed, let me know :)")
	Add("INSTRUCTIONS_PART_2",							"(Destinations Settings): Opens the Destinations Settings window. Open the submenus to change the settings.")
	Add("INSTRUCTIONS_PART_3",							"(Destinations Quests Editor): This command will TOGGLE editing of quest pins. It will show in the chat if it's on or off. When ON, open your map and click the pins you want to toggle as done, in progress or undone. REMEMBER to turn it OFF when done editing by repeating the command!")
	Add("INSTRUCTIONS_PART_4",							"(Destinations Quests Finish Zone): This command will set all quests in the zone your map is showing at the time of using the command as DONE. REMEMBER to open your map at the zone you want to set as complete BEFORE using this command!")
	Add("INSTRUCTIONS_PART_5",							"(Destinations Quests Reset Zone): This command will set all quests in the zone your map is showing at the time of using the command as NOT done. REMEMBER to open your map at the zone you want to set as undone BEFORE using this command!")

	-- Destinations Misc
	Add("LOAD_NEW_QUEST_FORMAT",						"Load new Quest Data")
	Add("LOAD_NEW_QUEST_FORMAT_TT",						"This will load all known quests into a new table. The game will freeze for a while and then do a /reloadui to complete it.")
	Add("RELOADUI_WARNING",								"If you click this button, the game will freeze for a while and then do a /reloadui")

end
